Results 1 to 6 of 6

Thread: Blocks on Perpendicular Polyline at irregular intervals

  1. #1
    Login to Give a bone
    0

    Default Blocks on Perpendicular Polyline at irregular intervals

    I'm looking to find out if it is possible to align a block perpendicularly at irregular intervals on a 2D poly

    Apart from the "Divide / Measure" commands which partially meet this need because the interval can only be regular.
    Is there a function on Civil 3D that would allow this? Or a lisp?
    Thanks in advance,

  2. #2
    Past Vice President / AUGI Volunteer peter's Avatar
    Join Date
    2000-09
    Location
    Honolulu HI
    Posts
    1,109
    Login to Give a bone
    0

    Default Re: Blocks on Perpendicular Polyline at irregular intervals

    Quote Originally Posted by mickael.nowak788778 View Post
    I'm looking to find out if it is possible to align a block perpendicularly at irregular intervals on a 2D poly

    Apart from the "Divide / Measure" commands which partially meet this need because the interval can only be regular.
    Is there a function on Civil 3D that would allow this? Or a lisp?
    Thanks in advance,
    The curve functions of visual lisp include ways of getting the length

    (vlax-curve-getdistatparam obj (vlax-curve-getendparam obj))

    Where obj is the vla-object of the 2d poly.

    You can also get a point on the poly at any distance from the end

    (vlax-curve-getpointatdist obj 1.5)

    for example.

    So you can write a routine to get the points

    You can also get the slope at any distance

    (vlax-curve-getFirstDeriv obj (vlax-curve-getparamatdist obj 1.5))

    Using atan you can get the angle in radians and then you can convert radians to degrees

    (* 180 (/ sngRadians pi))

    So knowing the point an angle you can insert a block anywhere along a 2d polyline aligned with the pline.

    It may have a problem at a vertex

    P=
    AutomateCAD

  3. #3
    Login to Give a bone
    0

    Default Re: Blocks on Perpendicular Polyline at irregular intervals

    Hello, I did not understand

  4. #4
    Active Member
    Join Date
    2015-12
    Location
    Western Europe
    Posts
    57
    Login to Give a bone
    0

    Default Re: Blocks on Perpendicular Polyline at irregular intervals

    The answer was, Yes it is possible using vlax-curve functions, if you know the distances from the start or end point.

  5. #5
    All AUGI, all the time
    Join Date
    2003-07
    Posts
    560
    Login to Give a bone
    0

    Default Re: Blocks on Perpendicular Polyline at irregular intervals

    Google "Chainage.lsp" it has the answers you seek.

  6. #6
    Past Vice President / AUGI Volunteer peter's Avatar
    Join Date
    2000-09
    Location
    Honolulu HI
    Posts
    1,109
    Login to Give a bone
    0

    Default Re: Blocks on Perpendicular Polyline at irregular intervals

    Quote Originally Posted by mickael.nowak788778 View Post
    Hello, I did not understand
    I encourage others to practice programming. So I told you how to program it, but didn't give you the code.
    AutomateCAD

Similar Threads

  1. LISP - Automatic Save that runs at set intervals
    By tyeelaw13 in forum AutoLISP
    Replies: 28
    Last Post: 2019-07-01, 03:45 PM
  2. 2014: Using different contour intervals for different layouts.
    By mattab222 in forum AutoCAD Civil 3D - Surfaces
    Replies: 3
    Last Post: 2014-12-04, 11:26 PM
  3. Stretch Parameter for Rectangle at Set Intervals
    By YZ in forum Dynamic Blocks - Technical
    Replies: 3
    Last Post: 2010-07-27, 01:03 PM
  4. topo intervals
    By Maximillian in forum Revit Architecture - General
    Replies: 0
    Last Post: 2007-03-11, 12:24 AM
  5. Replies: 4
    Last Post: 2006-04-09, 10:23 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •